Page MenuHomePhabricator

App "isExisting" after close (by save)
Closed, ResolvedPublicBUG REPORT

Description

https://integration.wikimedia.org/ci/job/wmf-quibble-vendor-mysql-php72-docker/9543/console failed with "App didn't close after clicking save button" but it can not be seen in the screenshot.
Is this a matter of using .isExisting() instead of .isVisible()? Maybe - but we actually want our app to not exist any more (discussed the topic of destroying it today) so this could do with some digging.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterbridge: provide video for failing browser tests
mediawiki/extensions/Wikibase : masterbridge: check selenium video in CI
mediawiki/extensions/Wikibase : masterbridge: prevent flaky browser test when closing app

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2019, 5:27 PM
Pablo-WMDE updated the task description. (Show Details)Sep 25 2019, 5:29 PM
Pablo-WMDE updated the task description. (Show Details)Sep 26 2019, 8:37 AM
Michael claimed this task.Sep 26 2019, 9:45 AM
Michael moved this task from To do to Doing on the Wikidata-Bridge-Sprint-6 board.
Restricted Application added a project: User-Michael. · View Herald TranscriptSep 26 2019, 9:45 AM

Change 539304 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] bridge: prevent flaky browser test when closing app

https://gerrit.wikimedia.org/r/539304

Change 539345 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] bridge: provide video for failing browser tests

https://gerrit.wikimedia.org/r/539345

Change 539304 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: prevent flaky browser test when closing app

https://gerrit.wikimedia.org/r/539304

Change 539506 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: check selenium video in CI

https://gerrit.wikimedia.org/r/539506

Change 539506 abandoned by Pablo Grass (WMDE):
bridge: check selenium video in CI

Reason:
Was just to show the effect in CI

https://gerrit.wikimedia.org/r/539506

Change 539345 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: provide video for failing browser tests

https://gerrit.wikimedia.org/r/539345

Pablo-WMDE closed this task as Resolved.Sep 27 2019, 11:47 AM
Pablo-WMDE moved this task from Peer Review to Done on the Wikidata-Bridge-Sprint-6 board.

Let's keep an eye on this.